## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

%global srcname myrepos-utils

Name:           python-%{srcname}
Version:        0.0.4.2
Release:        %autorelease
Summary:        Additional utilities for myrepos

License:        GPL-2.0-or-later
URL:            https://git.sr.ht/~michel-slm/myrepos-utils
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Additional utilities for myrepos.}

%description %_description


%package -n %{srcname}
Summary:        %{summary}
Requires:       myrepos

%description -n %{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-r requirements-test.txt}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files myrepos_utils


%check
%pyproject_check_import myrepos_utils
%if %{with check}
%pytest -v
%endif


%files -n %{srcname} -f %{pyproject_files}
%doc README.md
%license COPYING.md
%{_bindir}/mr-utils


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.0.4.2-2
- Rebuilt for Python 3.13

* Fri Feb 16 2024 Michel Lind <salimma@fedoraproject.org> - 0.0.4.2-1
- Update to 0.0.4.2

* Fri Feb 16 2024 Michel Lind <salimma@fedoraproject.org> - 0.0.4.1-1
- Update to 0.0.4.1

* Tue Feb 13 2024 Michel Lind <salimma@fedoraproject.org> - 0.0.3-1
- Update to 0.0.3
- Use SPDX license identifier

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.0.2-6
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.0.2-3
- Rebuilt for Python 3.11

* Tue Mar 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.2-2
- Fix license

* Tue Mar 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.2-1
- Update to 0.0.2

* Mon Mar 28 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.1.1-1
- Initial Fedora package
## END: Generated by rpmautospec
